Microchip logo
  • All
  • Products
  • Documents
  • Applications Notes

PICSTART Plus Flash Re-Programmable Firmware Upgrade

Part Number: UK003010

Status: No Longer Available

Summary:

This product is no longer available for sale.
The PICSTART® Plus Flash Upgrade Module (PUM) is a PCB that contains a PIC18F6720 device that has been programmed with the firmware needed to provide support for a specific set of devices in the MPLAB® IDE. The PUM is used to replace the PIC17C44 inside of the PICSTART Plus – the device that contains the firmware

View More
Documents and Software
Overview
Features
Additional Resources
Related Tools

Additional Resource

  • FAQ
FAQ
Does my PICSTART Plus already have a PUM?

PICSTART Plus units that have a revision letter of R20 or higher already come equipped with the PUM. The revision letter of a PICSTART Plus unit is the letter ‘R’ followed by a number, which can be found on the back bottom of the plastic enclosure next to the serial number. Another way to determine the firmware in use is to perform an “About” after enabling the PICSTART Plus in the MPLAB IDE. If the firmware version is not 4.0.5 or higher, the PICSTART Plus does not contain a PUM.

Should I purchase a PUM?

Device support is the key item to consider when determining whether or not a PUM is needed. The need for newer firmware can by indicated by the following: 

  • By consulting the Readme for PICSTART Plus file, which is found in the \MPLAB IDE\Readme directory where the MPLAB IDE application is installed on the workstation. This file details the minimum firmware version needed to support a device. If the firmware version in the PICSTART Plus does not support the desired device, it will need to be upgraded.
  • After performing an “Enable” in the MPLAB IDE, a message titled This device requires firmware will be displayed. This indicates that the firmware version detected by the MPLAB IDE is less than what is needed to support the selected device. The PICSTART Plus will need to be upgraded to the firmware version that does support the desired device. If the PICSTART Plus uses a PUM, the newer firmware can be downloaded using an option in the MPLAB IDE.


It is highly advisable to purchase a PUM for the following reasons: 

  • The PICSTART Plus firmware version is earlier than 2.01 and the MPLAB IDE needs to be used.
  • There will be no more firmware releases based on the PIC17C44. These releases ended with firmware version 3.11 found in file psf31100.hex.
  • As newer devices become available for use and are added to the MPLAB IDE selection list, their support will be added to the PICSTART Plus firmware. Thus the PUM will provide ongoing use of the PICSTART Plus. Firmware files applicable to the PUM are named psplsxxxxx.hex, where xxxxx is the version.


Is the PUM compatible with my PICSTART Plus?

Some PICSTART Plus units with revision letters R4 or earlier have been known to have problems operating with firmware versions 3.11 or later; however, this should not be a deterrent from purchasing a PUM if it is needed.

If a PICSTART Plus fails to work properly after installing a PUM – such as receiving communication errors or the power light will not turn on, it can returned to Microchip for replacement.

What version of the MPLAB or MPLAB IDE application can the PUM be used with?

The PUM in its original release shipped with firmware version 4.0.5. A PICSTART Plus that has been upgraded to use a PUM is compatible with any version of the MPLAB IDE, but only versions 5.62 and higher of the MPLAB application. The release of the MPLAB application was 5.70.40.

How do I know if my PUM is working correctly after it is installed?

When the PUM is used to replace a PIC17C44 or, the very first time a PICSTART Plus is used, proper functioning of the hardware should be ensured:

  • Check the physical connection of the serial cable to the workstation and hardware
  • Make sure the communication port selected in the MPLAB IDE matches the one in use
  • Select a device that is supported by the earliest version of firmware (2.01) that can be used with the MPLAB IDE, such as the PIC16F84A
  • Select the PICSTART Plus as the programmer
  • Enable the programmer

When should I download newer firmware?

Newer firmware should only be downloaded if it is needed for device support. The only exception would be if the newer firmware contains a fix to a known problem. Firmware releases in the MPLAB IDE have backward compatibility – in other words, it supports the devices that were included in the previous release of the firmware. This is why a device such as the PIC16F84A is supported by firmware versions as far back as 1.00. There are however some devices that are not supported by the MPLAB IDE.

How do I download newer firmware?

MPLAB IDE versions 6.40 and higher have the ability to download firmware into the PICSTART Plus that has been upgraded to use the PUM. This option cannot be used if the PICSTART Plus contains a PIC17C44.

If a This device requires firmware message has been displayed upon attempting to enable the PICSTART Plus, the firmware that supports the selected device will need to be downloaded. Perform the following steps to ensure a successful download:

  • Select a device that is supported by the earliest version of firmware (2.01) that can be used with the MPLAB IDE, such as the PIC16F84A
  • Select the PICSTART Plus as the programmer
  • Enable the programmer
  • Use the option Download PICSTART OS. When the dialog is displayed, select the needed version from the list of firmware files. Selection Open will start the download process
While the download is taking place, do not attempt to perform other tasks in the MPLAB IDE. When the download completes, a message regarding its status will be displayed in the output window. Disable and then Enable the programmer so that the MPLAB IDE will recognize the change in the firmware version.


There are currently no documents or software to display.

Product Features

    History:
    There are three different versions of the PICSTART Plus:

    Original PICSTART Plus
    Part Number: 10-00157 Rev 1- Rev19

    Original PICSTART Plus with PUM plugged in

    Part Number: 10-00157 Rev 20 - Rev 22

    New PICSTART Plus design with integrated PUM
    Part Number: 10-00379 Rev 1 – and up (Rev 1 is current as of May 05)

Summary

This product is no longer available for sale.
The PICSTART® Plus Flash Upgrade Module (PUM) is a PCB that contains a PIC18F6720 device that has been programmed with the firmware needed to provide support for a specific set of devices in the MPLAB® IDE. The PUM is used to replace the PIC17C44 inside of the PICSTART Plus – the device that contains the firmware that can provide support to a maximum firmware version 3.11 in the MPLAB IDE. Because the PUM uses Flash technology, its firmware can be upgraded as needed to gain support for new devices by using an option in the MPLAB IDE.
MPLAB IDE is downloadable from the Microchip web site.
This upgrade kit supersedes UK003007 or UK003006.

Package Contents

The PICSTART® Plus Flash Upgrade Module (PUM) is a PCB that contains a PIC18F6720 device that has been programmed with the firmware needed to provide support for a specific set of devices in the MPLAB® IDE. The PUM is used to replace the PIC17C44 inside of the PICSTART Plus – the device that contains the firmware that can provide support to a maximum firmware version 3.11 in the MPLAB IDE. Because the PUM uses Flash technology, its firmware can be upgraded as needed to gain support for new devices by using an option in the MPLAB IDE.
MPLAB IDE is downloadable from the Microchip web site.
This upgrade kit supersedes UK003007 or UK003006.